# Command-line options

You can configure many of Logisim's application preferences via command line options. This can be particularly useful in a laboratory of single-student computers where you want Logisim to start up the same for students every time, regardless of how previous students may have configured the program.

The overall command-line syntax is as follows.

>     java -jar jarFileName [options] [filenames]

The optional additional files named on the command line will be opened as separate windows within Logisim.

The following example starts Logisim in its basic configuration.

>     java -jar jarFileName -plain -gates shaped -locale en

Supported options include the following.

`-plain`
`-empty`
`-template templateFile`

  Configures the template for Logisim to use.

`-gates [shaped|rectangular]`

  Configures which type of gate to use.

`-locale localeIdentifier`

  Configures which translation to use. As of this writing, the supported locales include:

  `de` | German
  `en` | English
  `es` | Spanish
  `ru` | Russian
  `el` | Greek

`-accents [yes|no]`

  This is only relevant for languages that use characters outside the 7-bit ASCII character set; this would include languages using accented characters, and it would not include English. If no, characters outside the 7-bit ASCII character set are replaced with equivalents appropriate to the language; this would be useful for Java/OS combinations where such characters are not supported well.

`-clearprops`

  Clear all application preferences at startup, so Logisim will act as if it were being executed on the host system for the first time.

`-nosplash`

  Hides the initial Logisim splash screen.

`-help`

  Displays a summary of the command line options.

`-version`

  Displays the Logisim version number.

Next: User's Guide.